{ pkgs, ... }:

{
  hardware.opengl.extraPackages = with pkgs; [
    amdvlk
    rocm-opencl-icd
  ];

  environment.systemPackages = with pkgs; [
    clinfo
    radeontop
    rocm-smi
  ];

  # force RGB otput for HDMI (otherwise the default is YCbCr)
  # see https://gitlab.freedesktop.org/drm/amd/-/issues/476
  #boot.kernelPatches = [
  #  {
  #    name = "force-rgb";
  #    patch = pkgs.fetchurl {
  #      url = "https://gitlab.freedesktop.org/drm/amd/uploads/99b3664a49ec759075bde5c454e1d7c2/0001-force-rgb.patch";
  #      sha256 = "03dhnlxx9vlj1x8izh3c3j4r9s75q47nx8kf6mbdxqfy3cj96mjm";
  #    };
  #  }
  #];
}
