{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui {
  environment.systemPackages = with pkgs; [
    aspellDicts.de
    aspellDicts.en
    hunspellDicts.de-de
    hunspellDicts.en-gb-ise # dictionary
    gscan2pdf # scanning tool
    jameica # application framework (used for hibiscus online banking)
    khal # calendar
    khard # address book
    libreoffice # office suite
    pdfsam-basic # pdf multitool
    vdirsyncerStable # dav sync client
    xournalpp # notebook
    xsane # scanning tool
  ];

  hardware.sane.enable = true;
}
