{ config, lib, pkgs, ... }:

lib.mkIf config.sbruder.gui {
  environment.systemPackages = with pkgs; [
    blender # 3d animation
    darktable # photo development
    gimp
    gimpPlugins.gmic # bitmap editor
    krita # drawing
    openscad # parametric/procedural 3d modelling
    inkscape # vector graphics editor
  ];
}
