{
  programs.tmux = {
    enable = true;
    terminal = "screen-256color";
    escapeTime = 0;
    aggressiveResize = true;
    baseIndex = 1;
    extraConfig = ''
      # screen behaviour
      unbind C-b
      set -g prefix C-a
      unbind C-a
      bind C-a send-prefix

      # more ergonomic splitting
      unbind |
      bind | split-window -h

      unbind -
      bind - split-window -v

      # HOWTO copy: PREFIX+[, space, select text, enter, PREFIX+]

      # disable mouse (prevents simple copying)
      set -g mouse off
    '';
  };
}
